=== debian/changelog ===
calamares (3.1.7-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: update copyright years

 -- Jonathan Carter <jcc@debian.org>  Sat, 28 Oct 2017 09:36:57 +0200

calamares (3.1.6-4) unstable; urgency=medium

  * Attempt to make package reproducible

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 Oct 2017 09:43:10 +0200

calamares (3.1.6-3) unstable; urgency=medium

  * Update dependencies

 -- Jonathan Carter <jcc@debian.org>  Fri, 20 Oct 2017 09:09:20 +0200

calamares (3.1.6-2) unstable; urgency=medium

  * Package rebuild (no source changes)

 -- Jonathan Carter <jcc@debian.org>  Thu, 19 Oct 2017 20:15:55 +0200

calamares (3.1.6-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.1 (no related changes)

 -- Jonathan Carter <jcc@debian.org>  Tue, 17 Oct 2017 14:48:51 +0200

calamares (3.1.5-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
     - Update copyright years for Christian Muehlhaeuser
     - Add new copyright information for Schutz Sacha
     - Add new copyright information for Gabriel Craciunescu
     - Add copyright information for new files:
       src/libcalamaresui/widgets/waitingspinnerwidget.*
     - Update license information for files:
       src/qml/calamares/slideshow/*qml
  * Update architecture to linux-any

 -- Jonathan Carter <jcc@debian.org>  Wed, 27 Sep 2017 08:46:01 +0200

calamares (3.1.3-1) unstable; urgency=low

  * Initial release (Closes: #842671)

 -- Jonathan Carter <jcc@debian.org>  Tue, 18 Jul 2017 14:38:15 +0200
