## calamares 3.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -166,7 +166,7 @@
 ### Bump version here
 set( CALAMARES_VERSION_MAJOR 3 )
 set( CALAMARES_VERSION_MINOR 1 )
-set( CALAMARES_VERSION_PATCH 7 )
+set( CALAMARES_VERSION_PATCH 8 )
 set( CALAMARES_VERSION_RC 0 )
 
 set( CALAMARES_VERSION ${CALAMARES_VERSION_MAJOR}.${CALAMARES_VERSION_MINOR}.${CALAMARES_VERSION_PATCH} )
@@ -267,12 +267,9 @@
 endif()
 # Doesn't list mksquashfs as an optional dep, though, because it
 # hasn't been sent through the find_package() scheme.
-set_package_properties( mksquashfs PROPERTIES
-    DESCRIPTION "Create squashed filesystems"
-    URL "http://tldp.org/HOWTO/SquashFS-HOWTO/creatingandusing.html"
-    PURPOSE "Create example distro"
-    TYPE OPTIONAL
-)
+#
+# "http://tldp.org/HOWTO/SquashFS-HOWTO/creatingandusing.html"
+add_feature_info( ExampleDistro ${mksquashfs_FOUND} "Create example-distro target.")
 
 # add_subdirectory( thirdparty )
 add_subdirectory( src )
@@ -310,3 +307,4 @@
         "CMakeModules/CalamaresAddPlugin.cmake"
         "CMakeModules/CalamaresAddModuleSubdirectory.cmake"
         "CMakeModules/CalamaresAddLibrary.cmake"
+        "CMakeModules/CalamaresAddBrandingSubdirectory.cmake"
