=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                libkpmcore-dev,
                libparted-dev,
                libpolkit-qt5-1-dev,
-               libpythonqt-dev,
                libyaml-cpp-dev,
                libqt5svg5-dev,
                libqt5webkit5-dev,
