=== debian/changelog ===
calamares (3.1.9-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 30 Nov 2017 20:29:57 +0200
