=== debian/changelog ===
calamares (3.1.10-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.2

 -- Jonathan Carter <jcc@debian.org>  Mon, 11 Dec 2017 19:10:28 +0200
