=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/calamares/calamares
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/calamares.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/calamares.git
