## calamares 3.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -114,6 +114,16 @@
 find_package( YAMLCPP 0.5.1 REQUIRED )
 find_package( PolkitQt5-1 REQUIRED )
 
+# Find ECM once, and add it to the module search path; Calamares
+# modules that need ECM can do
+#   find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE),
+# no need to mess with the module path after.
+set( ECM_VERSION 5.10.0 )
+find_package(ECM ${ECM_VERSION} NO_MODULE)
+if( ECM_FOUND )
+    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
+endif()
+
 option( INSTALL_CONFIG "Install configuration files" ON )
 option( WITH_PYTHON "Enable Python modules API (requires Boost.Python)." ON )
 option( WITH_PYTHONQT "Enable next generation Python modules API (experimental, requires PythonQt)." OFF )
@@ -166,7 +176,7 @@
 ### Bump version here
 set( CALAMARES_VERSION_MAJOR 3 )
 set( CALAMARES_VERSION_MINOR 1 )
-set( CALAMARES_VERSION_PATCH 10 )
+set( CALAMARES_VERSION_PATCH 12 )
 set( CALAMARES_VERSION_RC 0 )
 
 set( CALAMARES_VERSION ${CALAMARES_VERSION_MAJOR}.${CALAMARES_VERSION_MINOR}.${CALAMARES_VERSION_PATCH} )
@@ -299,12 +309,3 @@
 configure_file( CalamaresConfig.cmake.in "${PROJECT_BINARY_DIR}/CalamaresConfig.cmake" @ONLY )
 configure_file( CalamaresConfigVersion.cmake.in "${PROJECT_BINARY_DIR}/CalamaresConfigVersion.cmake" @ONLY )
 
-# Install the cmake files
-install(
-    FILES
-        "${PROJECT_BINARY_DIR}/CalamaresConfig.cmake"
-        "${PROJECT_BINARY_DIR}/CalamaresConfigVersion.cmake"
-        "CMakeModules/CalamaresAddPlugin.cmake"
-        "CMakeModules/CalamaresAddModuleSubdirectory.cmake"
-        "CMakeModules/CalamaresAddLibrary.cmake"
-        "CMakeModules/CalamaresAddBrandingSubdirectory.cmake"
