=== src/branding/CMakeLists.txt ===
file( GLOB SUBDIRECTORIES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*" )
foreach( SUBDIRECTORY ${SUBDIRECTORIES} )
    if( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${SUBDIRECTORY}" )
        calamares_add_branding_subdirectory( ${SUBDIRECTORY} )
    endif()
endforeach()
