=== src/modules/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,10 @@
 include( CMakeColors )
+
+# The variable SKIP_MODULES can be set to skip particular modules;
+# individual modules can also decide they must be skipped (e.g. OS-specific
+# modules, or ones with unmet dependencies). Collect the skipped modules
+# in this list.
+set( LIST_SKIPPED_MODULES "" )
 
 if( BUILD_TESTING )
     add_executable( test_conf test_conf.cpp )
@@ -13,11 +19,24 @@
     if( NOT DO_SKIP EQUAL -1 )
         message( "${ColorReset}-- Skipping module ${BoldRed}${SUBDIRECTORY}${ColorReset}." )
         message( "" )
+        list( APPEND LIST_SKIPPED_MODULES "${SUBDIRECTORY} (user request)" )
     elseif( ( IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${SUBDIRECTORY}" ) AND
             ( DO_SKIP EQUAL -1 ) )
+        set( SKIPPED_MODULES )
         calamares_add_module_subdirectory( ${SUBDIRECTORY} )
+        if ( SKIPPED_MODULES )
+            list( APPEND LIST_SKIPPED_MODULES "${SKIPPED_MODULES}" )
+        endif()
     endif()
 endforeach()
 
+if ( LIST_SKIPPED_MODULES )
+    message( "${ColorReset}-- Skipped modules:" )
+    foreach( SUBDIRECTORY ${LIST_SKIPPED_MODULES} )
+        message( "${ColorReset}--   Skipped ${BoldRed}${SUBDIRECTORY}${ColorReset}." )
+    endforeach()
+    message( "" )
+endif()
+
 include( CalamaresAddTranslations )
 add_calamares_python_translations( ${CALAMARES_TRANSLATION_LANGUAGES} )
