=== src/modules/interactiveterminal/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-find_package(ECM 5.10.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
+find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
 
 include(KDEInstallDirs)
 include(GenerateExportHeader)
