=== src/modules/users/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
-find_package(ECM 5.10.0 NO_MODULE)
+find_package(ECM ${ECM_VERSION} NO_MODULE)
 if( ECM_FOUND )
-    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
     include( ECMAddTests )
 endif()
