=== debian/changelog ===
calamares (3.1.12-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Apr 2018 16:59:16 -0700

calamares (3.1.12-1) unstable; urgency=medium

  * New upstream release
  * Replace deprecated build-dep 'kio-dev' with 'libkf5kio-dev'
    (Closes: #885386)
  * Update standards version to 4.1.3
  * Update compat to level 11
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 08 Feb 2018 10:18:28 +0200
