=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: calamares
 Section: utils
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: cmake,
                cryptsetup,
                debhelper (>= 10),
                extra-cmake-modules,
                gettext,
-               kio-dev,
+               libkf5kio-dev,
                libatasmart-dev,
                libboost-python-dev,
                libkf5config-dev,
@@ -36,7 +37,7 @@
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://github.com/calamares/calamares
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/calamares.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/calamares.git
